using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 区域表（工作台）
    /// </summary>
    [Description("区域表")]
    [Redis("ID")]
    [IgnoreT4]public class T_FM_PANEL : MesEntityBase
    {
        [Description("编码")]
        [CUnique]
        public string CODE { get; set; }

        [Description("名称")]

        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; } 
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }

        [Description("宽度")]
        public int WIDTH { get; set; }

		/// <summary>
		/// FMEnableStatusEnum
		/// </summary>
		[Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

		[Description("导航属性：区域信息")]
        public virtual ICollection<T_FM_PANEL_INFO> Nav_PanelInfo { get; set; }

    }
}
